--[[
Localization file format example:

if Inspect.System.Language() ~= "Language" then return end
local addonInfo, addonTable = ...
if not addonTable.KBB then addonTable.KBB = {} end
local KBB = addonTable.KBB

KBB.L = KBB.L or {} 
KBB.L["KBB_LOCALSTRING_KEY"] = "local string"
...

English is the default, hence no language check in enUS.lua file.

Add your localisation file names to RunOnStartup section in RiftAddon.toc file, between "Locale/enUS.lua" and "Locale/locale.lua"
--]]


local addonInfo, addonTable = ...
if not addonTable.KBB then addonTable.KBB = {} end
local KBB = addonTable.KBB

KBB.L = KBB.L or {} 

KBB.L["KBB_CREATED_GROUP"] = "created group '%s' (id '%s')"
KBB.L["KBB_REMOVED_GROUP"] = "removed group '%s' (id '%s')"
KBB.L["KBB_UNKNOWN_FILTER"] = "unknown filter: [%s]"
KBB.L["KBB_UNKNOWN_OPERATOR"] = "unknown operator: [%s]"
KBB.L["KBB_CLOSE_LABEL"] = "Close"
KBB.L["KBB_ADD_GROUP_LABEL"] = "Add group"
KBB.L["KBB_FILTERS_IN_GROUP"] = "Filters in '%s' (id '%s'):"
KBB.L["KBB_GROUP_DESCRIPTION"] = "%s (id %s):\n\tunit - %s\n\twatching type - %s\n\tfiltering type -  %s"
KBB.L["KBB_GROUP_DESCRIPTION_SHORT"] = "%s (id %s)"
KBB.L["KBB_REMOVED_ALL_GROUPS"] = "removed all groups"
KBB.L["KBB_FILTER_VALUE_NIL"] = "filter value cannot be nil"
KBB.L["KBB_ERROR_IN_FILTER"] = "error in [%s]:"
KBB.L["KBB_PROFILE_DN_EXIST"] = "Profile does not exist"
KBB.L["KBB_PROFILE_IS_ACTIVE"] = "Profile %s is currently active"
KBB.L["KBB_SETTINGS_WINDOW_TITLE"] = "KBB Settings"
KBB.L["KBB_SETTINGS_GROUP_RENAME_WINDOW_TITLE"] = "Enter new name"
KBB.L["KBB_PROFILE_ALREADY_EXISTS"] = "Profile %s already exists"
KBB.L["KBB_PROFILE_EXPORT_SUCCESS"] = "Successfully exported %s as %s"
KBB.L["KBB_PROFILE_EXPORT_FAILED"] = "Failed to export profile"
KBB.L["UI_FILTER_MODE_NONE"] = "Mode: -"
KBB.L["UI_FILTER_MODE_EDIT"] = "Mode: edit"
KBB.L["UI_FILTER_MODE_ADD"] = "Mode: add"
KBB.L["UI_RENAME_GROUP_BUTTON_TEXT"] = "Rename"
KBB.L["UI_ADD_GROUP_BUTTON_TEXT"] = "Add"
KBB.L["UI_REMOVE_GROUP_BUTTON_TEXT"] = "Remove"
KBB.L["UI_TOGGLE_ANCHORS_BUTTON_TEXT"] = "Toggle anchors"
KBB.L["UI_GROUPS_LABEL_TEXT"] = "Groups:"
KBB.L["UI_WATCH_TYPE_LABEL_TEXT"] = "Watching:"
KBB.L["UI_FILTER_TYPE_LABEL_TEXT"] = "Filtering type:"
KBB.L["UI_UNIT_LABEL_TEXT"] = "Unit:"
KBB.L["UI_SORT_LABEL_TEXT"] = "Sort bars:"
KBB.L["UI_RIGHT_CLICK_CANCEL_CHECKBOX_TEXT"] = "Remove buff on right-click"
KBB.L["UI_GROWTH_LABEL_TEXT"] = "Growth direction:"
KBB.L["UI_POSITION_LABEL_TEXT"] = "Group position:"
KBB.L["UI_BAR_SIZE_LABEL_TEXT"] = "Bar size:"
KBB.L["UI_XPOS_LABEL_TEXT"] = "x:"
KBB.L["UI_YPOS_LABEL_TEXT"] = "y:"
KBB.L["UI_WIDTH_LABEL_TEXT"] = "w:"
KBB.L["UI_HEIGHT_LABEL_TEXT"] = "h:"
KBB.L["UI_FILTERS_LABEL_TEXT"] = "Filters:"
KBB.L["UI_FONT_COLOR_LABEL_TEXT"] = "Buff font color:"
KBB.L["UI_DEBUFF_FONT_COLOR_LABEL_TEXT"] = "Debuff font color:"
KBB.L["UI_COLOR_RED_LABEL_TEXT"] = "red:"
KBB.L["UI_COLOR_GREEN_LABEL_TEXT"] = "green:"
KBB.L["UI_COLOR_BLUE_LABEL_TEXT"] = "blue:"
KBB.L["UI_BAR_BG_OPACITY_LABEL_TEXT"] = "Bar background opacity:"
KBB.L["UI_BAR_FONT_SIZE_LABEL_TEXT"] = "Bar font size:"
KBB.L["UI_DEBUFF_COLOR_LABEL_TEXT"] = "Debuff color:"
KBB.L["UI_BUFF_COLOR_LABEL_TEXT"] = "Buff color:"
KBB.L["UI_BG_COLOR_LABEL_TEXT"] = "Bar background color:"
KBB.L["UI_BG_COLOR_CHECKBOX_TEXT"] = "Use foreground color"
KBB.L["UI_COLOR_PREVIEW_LABEL_TEXT"] = "Colors preview"
KBB.L["UI_COLOR_PREVIEW_BAR_TEXT"] = "Lorem ipsum"
KBB.L["UI_CURRENT_PROFILE_LABEL_TEXT"] = "Current profile:"
KBB.L["UI_EXPORT_PROFILE_LABEL_TEXT"] = "Export current profile as:"
KBB.L["UI_IMPORT_PROFILE_LABEL_TEXT"] = "Import profile:"
KBB.L["UI_PROFILE_IMPORT_WARNING"] = "WARNING: \nimporting a profile will DELETE any existing groups in currently active profile and replace them with groups from imported profile"
KBB.L["UI_OLD_GROUP_NAME_LABEL_TEXT"] = "Old name:"
KBB.L["UI_BUFFS_RADIO_TEXT"] = "Buffs"
KBB.L["UI_DEBUFFS_RADIO_TEXT"] = "Debuffs"
KBB.L["UI_WHITELIST_RADIO_TEXT"] = "Whitelist"
KBB.L["UI_BLACKLIST_RADIO_TEXT"] = "Blacklist"
KBB.L["UI_PLAYER_RADIO_TEXT"] = "player"
KBB.L["UI_PLAYER_TARGET_RADIO_TEXT"] = "player.target"
KBB.L["UI_FOCUS_RADIO_TEXT"] = "focus"
KBB.L["UI_PLAYER_PET_RADIO_TEXT"] = "player.pet"
KBB.L["UI_SORT_ASCENDING_RADIO_TEXT"] = "Ascending"
KBB.L["UI_SORT_DESCENDING_RADIO_TEXT"] = "Descending"
KBB.L["UI_NO_SORT_RADIO_TEXT"] = "Don't sort"
KBB.L["UI_GROWTH_UP_RADIO_TEXT"] = "Up"
KBB.L["UI_GROWTH_DOWN_RADIO_TEXT"] = "Down"
KBB.L["UI_ADD_FILTER_BUTTON_TEXT"] = "Add"
KBB.L["UI_REMOVE_FILTER_BUTTON_TEXT"] = "Remove"
KBB.L["UI_EDIT_FILTER_BUTTON_TEXT"] = "Edit"
KBB.L["UI_OK_BUTTON_TEXT"] = "OK"
KBB.L["UI_CANCEL_BUTTON_TEXT"] = "Cancel"
KBB.L["UI_IMPORT_PROFILE_BUTTON_TEXT"] = "Import"
KBB.L["UI_EXPORT_PROFILE_BUTTON_TEXT"] = "Export"
KBB.L["UI_DELETE_PROFILE_BUTTON_TEXT"] = "Delete"
KBB.L["UI_MINIMAP_CHECKBOX_TEXT"] = "Minimap button:"
KBB.L["UI_ENABLED_CHECKBOX_TEXT"] = "Enabled"
KBB.L["UI_NATIVE_TOOLTIP_CHECKBOX_TEXT"] = "Use native tooltip"
KBB.L["UI_GROUPS_TAB_LABEL"] = "Groups"
KBB.L["UI_PROFILES_TAB_LABEL"] = "Profiles"
KBB.L["UI_GENERAL_TAB_LABEL"] = "General"
KBB.L["UI_FILTERS_TAB_LABEL"] = "Filters"
KBB.L["UI_LOOK_TAB_LABEL"] = "Look"
KBB.L["UI_MINIMAP_BUTTON_OFFSET_LABEL"] = "offset:"
KBB.L["UI_MINIMAP_BUTTON_ANGLE_LABEL"] = "angle:"
KBB.L["UI_MINIMAP_BUTTON_SIZE_LABEL"] = "size:"
-- KBB.L[""] = ""
